<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd"><html xmlns="http://www.w3.org/1999/xhtml"><head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.20"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<a class="dashingAutolink" name="autolink-694"></a><a class="dashAnchor" name="//apple_ref/cpp/Package/XHXKit%3A%20XHXDeviceManager%E7%B1%BB%20%E5%8F%82%E8%80%83"></a><title>XHXKit: XHXDeviceManager类 参考</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">XHXKit
   &nbsp;<span id="projectnumber">4.10.0.12</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- 制作者 Doxygen 1.8.20 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'搜索');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','搜索');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('interface_x_h_x_device_manager.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow" onmouseover="return searchBox.OnSearchSelectShow()" onmouseout="return searchBox.OnSearchSelectHide()" onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-static-methods">类方法</a> |
<a href="interface_x_h_x_device_manager-members.html">所有成员列表</a>  </div>
  <div class="headertitle">
<div class="title">XHXDeviceManager类 参考</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#import &lt;<a class="el" href="_x_h_x_device_manager_8h_source.html">XHXDeviceManager.h</a>&gt;</code></p>
<div class="dynheader">
类 XHXDeviceManager 继承关系图:</div>
<div class="dyncontent">
 <div class="center">
  <img src="interface_x_h_x_device_manager.png" alt=""/>
 </div></div>
<table class="memberdecls">
<tbody><tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-static-methods"></a>
类方法</h2></td></tr>
<tr class="memitem:a6c80a82e571c1dc6730b6bd61747d337"><td class="memItemLeft" align="right" valign="top">(NSString *)&nbsp;</td><td class="memItemRight" valign="bottom">+ <a class="el" href="interface_x_h_x_device_manager.html#a6c80a82e571c1dc6730b6bd61747d337">documentDirectory</a></td></tr>
<tr class="separator:a6c80a82e571c1dc6730b6bd61747d337"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:a1ba09c395cce72715a1744b89e979a71"><td class="memItemLeft" align="right" valign="top">(void)&nbsp;</td><td class="memItemRight" valign="bottom">+ <a class="el" href="interface_x_h_x_device_manager.html#a1ba09c395cce72715a1744b89e979a71">openAppStore:</a></td></tr>
<tr class="separator:a1ba09c395cce72715a1744b89e979a71"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:a2e073959d4af599e4f30d9328c10f88f"><td class="memItemLeft" align="right" valign="top">(NSString *)&nbsp;</td><td class="memItemRight" valign="bottom">+ <a class="el" href="interface_x_h_x_device_manager.html#a2e073959d4af599e4f30d9328c10f88f">getIOSVersion</a></td></tr>
<tr class="separator:a2e073959d4af599e4f30d9328c10f88f"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:a085a7739cdce0d342f7ee650c0152820"><td class="memItemLeft" align="right" valign="top">(NSString *)&nbsp;</td><td class="memItemRight" valign="bottom">+ <a class="el" href="interface_x_h_x_device_manager.html#a085a7739cdce0d342f7ee650c0152820">getIPAddress</a></td></tr>
<tr class="separator:a085a7739cdce0d342f7ee650c0152820"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:af872cb3642699140b648159890e5e88f"><td class="memItemLeft" align="right" valign="top">(NSString *)&nbsp;</td><td class="memItemRight" valign="bottom">+ <a class="el" href="interface_x_h_x_device_manager.html#af872cb3642699140b648159890e5e88f">getUserAgent</a></td></tr>
<tr class="separator:af872cb3642699140b648159890e5e88f"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:a40d8dd0698975ba71440089a7439b2f1"><td class="memItemLeft" align="right" valign="top">(NSString *)&nbsp;</td><td class="memItemRight" valign="bottom">+ <a class="el" href="interface_x_h_x_device_manager.html#a40d8dd0698975ba71440089a7439b2f1">getVersion</a></td></tr>
<tr class="separator:a40d8dd0698975ba71440089a7439b2f1"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:a1135a40aef2b6e46c99ad8f946c122d3"><td class="memItemLeft" align="right" valign="top">(NSString *)&nbsp;</td><td class="memItemRight" valign="bottom">+ <a class="el" href="interface_x_h_x_device_manager.html#a1135a40aef2b6e46c99ad8f946c122d3">getDeviceModelName</a></td></tr>
<tr class="separator:a1135a40aef2b6e46c99ad8f946c122d3"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:a057bb4ff80167d779a09dca7ae998a4a"><td class="memItemLeft" align="right" valign="top">(NSString *)&nbsp;</td><td class="memItemRight" valign="bottom">+ <a class="el" href="interface_x_h_x_device_manager.html#a057bb4ff80167d779a09dca7ae998a4a">getCarrierName</a></td></tr>
<tr class="separator:a057bb4ff80167d779a09dca7ae998a4a"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:a4c13d3e75be828f92a531ebc5c7b054e"><td class="memItemLeft" align="right" valign="top">(NSString *)&nbsp;</td><td class="memItemRight" valign="bottom">+ <a class="el" href="interface_x_h_x_device_manager.html#a4c13d3e75be828f92a531ebc5c7b054e">getIMSI</a></td></tr>
<tr class="separator:a4c13d3e75be828f92a531ebc5c7b054e"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:a3a151013ba67485638eeee32bf1b8522"><td class="memItemLeft" align="right" valign="top">(NSString *)&nbsp;</td><td class="memItemRight" valign="bottom">+ <a class="el" href="interface_x_h_x_device_manager.html#a3a151013ba67485638eeee32bf1b8522">getIphoneUUID</a></td></tr>
<tr class="separator:a3a151013ba67485638eeee32bf1b8522"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:af0c25c354065735eb6738d2a17fcf8f3"><td class="memItemLeft" align="right" valign="top">(BOOL)&nbsp;</td><td class="memItemRight" valign="bottom">+ <a class="el" href="interface_x_h_x_device_manager.html#af0c25c354065735eb6738d2a17fcf8f3">firstAppearAtThisVersionForKey:</a></td></tr>
<tr class="memdesc:af0c25c354065735eb6738d2a17fcf8f3"><td class="mdescLeft">&nbsp;</td><td class="mdescRight">检测关键字是否第一次在当前版本出现过  <a href="interface_x_h_x_device_manager.html#af0c25c354065735eb6738d2a17fcf8f3">更多...</a><br/></td></tr>
<tr class="separator:af0c25c354065735eb6738d2a17fcf8f3"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
</tbody></table>
<h2 class="groupheader">函数文档</h2>
<a id="a6c80a82e571c1dc6730b6bd61747d337"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6c80a82e571c1dc6730b6bd61747d337">◆&nbsp;</a></span>documentDirectory</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tbody><tr>
          <td class="memname">+ (NSString *) documentDirectory </td>
          <td></td>
          <td class="paramname"></td>
          <td></td>
        </tr>
      </tbody></table>
</div><div class="memdoc">

</div>
</div>
<a id="af0c25c354065735eb6738d2a17fcf8f3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af0c25c354065735eb6738d2a17fcf8f3">◆&nbsp;</a></span>firstAppearAtThisVersionForKey:</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tbody><tr>
          <td class="memname">+ (BOOL) firstAppearAtThisVersionForKey: </td>
          <td></td>
          <td class="paramtype">(NSString *)&nbsp;</td>
          <td class="paramname"><em>key</em></td>
          <td></td>
        </tr>
      </tbody></table>
</div><div class="memdoc">

<p>检测关键字是否第一次在当前版本出现过 </p>
<p>检测关键字是否第一次在当前版本出现过，并记录 </p><dl class="params"><dt>参数</dt><dd>
  <table class="params">
    <tbody><tr><td class="paramname">key</td><td>关键字 </td></tr>
  </tbody></table>
  </dd>
</dl>
<dl class="section return"><dt>返回</dt><dd>如果该关键字当前版本第一次出现返回YES，否则返回NO </dd></dl>

</div>
</div>
<a id="a057bb4ff80167d779a09dca7ae998a4a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a057bb4ff80167d779a09dca7ae998a4a">◆&nbsp;</a></span>getCarrierName</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tbody><tr>
          <td class="memname">+ (NSString *) getCarrierName </td>
          <td></td>
          <td class="paramname"></td>
          <td></td>
        </tr>
      </tbody></table>
</div><div class="memdoc">
<p>获取运营商名</p>
<dl class="section return"><dt>返回</dt><dd>运营商名 </dd></dl>

</div>
</div>
<a id="a1135a40aef2b6e46c99ad8f946c122d3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1135a40aef2b6e46c99ad8f946c122d3">◆&nbsp;</a></span>getDeviceModelName</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tbody><tr>
          <td class="memname">+ (NSString *) getDeviceModelName </td>
          <td></td>
          <td class="paramname"></td>
          <td></td>
        </tr>
      </tbody></table>
</div><div class="memdoc">
<p>获取设备名 </p>

</div>
</div>
<a id="a4c13d3e75be828f92a531ebc5c7b054e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4c13d3e75be828f92a531ebc5c7b054e">◆&nbsp;</a></span>getIMSI</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tbody><tr>
          <td class="memname">+ (NSString *) getIMSI </td>
          <td></td>
          <td class="paramname"></td>
          <td></td>
        </tr>
      </tbody></table>
</div><div class="memdoc">
<p>获取IMSI</p>
<dl class="section return"><dt>返回</dt><dd>IMSI </dd></dl>

</div>
</div>
<a id="a2e073959d4af599e4f30d9328c10f88f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2e073959d4af599e4f30d9328c10f88f">◆&nbsp;</a></span>getIOSVersion</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tbody><tr>
          <td class="memname">+ (NSString *) getIOSVersion </td>
          <td></td>
          <td class="paramname"></td>
          <td></td>
        </tr>
      </tbody></table>
</div><div class="memdoc">
<p>获取系统版本号 </p>

</div>
</div>
<a id="a085a7739cdce0d342f7ee650c0152820"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a085a7739cdce0d342f7ee650c0152820">◆&nbsp;</a></span>getIPAddress</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tbody><tr>
          <td class="memname">+ (NSString *) getIPAddress </td>
          <td></td>
          <td class="paramname"></td>
          <td></td>
        </tr>
      </tbody></table>
</div><div class="memdoc">
<p>获取IP地址 </p>

</div>
</div>
<a id="a3a151013ba67485638eeee32bf1b8522"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3a151013ba67485638eeee32bf1b8522">◆&nbsp;</a></span>getIphoneUUID</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tbody><tr>
          <td class="memname">+ (NSString *) getIphoneUUID </td>
          <td></td>
          <td class="paramname"></td>
          <td></td>
        </tr>
      </tbody></table>
</div><div class="memdoc">
<p>获取手机UUID</p>
<dl class="section return"><dt>返回</dt><dd>uuid </dd></dl>

</div>
</div>
<a id="af872cb3642699140b648159890e5e88f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af872cb3642699140b648159890e5e88f">◆&nbsp;</a></span>getUserAgent</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tbody><tr>
          <td class="memname">+ (NSString *) getUserAgent </td>
          <td></td>
          <td class="paramname"></td>
          <td></td>
        </tr>
      </tbody></table>
</div><div class="memdoc">
<p>获取user-agent </p>

</div>
</div>
<a id="a40d8dd0698975ba71440089a7439b2f1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a40d8dd0698975ba71440089a7439b2f1">◆&nbsp;</a></span>getVersion</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tbody><tr>
          <td class="memname">+ (NSString *) getVersion </td>
          <td></td>
          <td class="paramname"></td>
          <td></td>
        </tr>
      </tbody></table>
</div><div class="memdoc">
<p>获取app版本 </p>

</div>
</div>
<a id="a1ba09c395cce72715a1744b89e979a71"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1ba09c395cce72715a1744b89e979a71">◆&nbsp;</a></span>openAppStore:</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tbody><tr>
          <td class="memname">+ (void) openAppStore: </td>
          <td></td>
          <td class="paramtype">(NSString *)&nbsp;</td>
          <td class="paramname"><em>appstoreID</em></td>
          <td></td>
        </tr>
      </tbody></table>
</div><div class="memdoc">

</div>
</div>
<hr/>该类的文档由以下文件生成:<ul>
<li>/Users/scar1900/Developer/XHXKit/XHXKit/Classes/DeviceManager/<a class="el" href="_x_h_x_device_manager_8h_source.html">XHXDeviceManager.h</a></li>
<li>/Users/scar1900/Developer/XHXKit/XHXKit/Classes/DeviceManager/<a class="el" href="_x_h_x_device_manager_8m.html">XHXDeviceManager.m</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="interface_x_h_x_device_manager.html">XHXDeviceManager</a></li>
    <li class="footer">制作者 <a href="http://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.8.20 </li>
  </ul>
</div>


</body></html>